Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.dynamictree.model
Interface DynamicContainmentItem

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, VCategorizableElement, VElement

All Known Implementing Classes:
  DynamicContainmentItemImpl

    public interface DynamicContainmentItem

extends VCategorizableElement

A representation of the model object 'Dynamic Containment Item'.

The following features are supported:

- `Domain Model`
- `Items`
- `Composite`
- `Base Item Index`

See Also:
  `ModelPackage.getDynamicContainmentItem()`

Method Summary
`Integer` | `getBaseItemIndex()` Returns the value of the 'Base Item Index' attribute.
`VContainedElement` | `getComposite()` Returns the value of the 'Composite' containment reference.
`org.eclipse.emf.ecore.EObject` | `getDomainModel()` Returns the value of the 'Domain Model' reference.
`org.eclipse.emf.common.util.EList<DynamicContainmentItem>` | `getItems()` Returns the value of the 'Items' containment reference list.
`void` | `setBaseItemIndex(Integer value)` Sets the value of the '`Base Item Index`' attribute.
`void` | `setComposite(VContainedElement value)` Sets the value of the '`Composite`' containment reference.
`void` | `setDomainModel(org.eclipse.emf.ecore.EObject value)` Sets the value of the '`Domain Model`' reference.

Methods inherited from interface org.eclipse.emf.ecp.view.spi.categorization.model.VCategorizableElement
`getECPActions, getLabelObject, setECPActions`

Methods inherited from interface org.eclipse.emf.ecp.view.spi.model.VElement
`getAttachments, getDiagnostic, getLabel, getName, isEnabled, isReadonly, isVisible, setDiagnostic, setEnabled, setLabel, setName, setReadonly, setVisible`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getDomainModel

    org.eclipse.emf.ecore.EObject getDomainModel()

  Returns the value of the 'Domain Model' reference.

  If the meaning of the 'Domain Model' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Domain Model' reference.
  See Also:
    `setDomainModel(EObject)`, `ModelPackage.getDynamicContainmentItem_DomainModel()`

### setDomainModel

    void setDomainModel(org.eclipse.emf.ecore.EObject value)

  Sets the value of the '`Domain Model`' reference.

  Parameters:
    `value` - the new value of the 'Domain Model' reference.
  See Also:
    `getDomainModel()`

### getItems

    org.eclipse.emf.common.util.EList<DynamicContainmentItem> getItems()

  Returns the value of the 'Items' containment reference list. The list contents are of type `DynamicContainmentItem`.

  If the meaning of the 'Items' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Items' containment reference list.
  See Also:
    `ModelPackage.getDynamicContainmentItem_Items()`

### getComposite

    VContainedElement getComposite()

  Returns the value of the 'Composite' containment reference.

  If the meaning of the 'Composite' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Composite' containment reference.
  See Also:
    `setComposite(VContainedElement)`, `ModelPackage.getDynamicContainmentItem_Composite()`

### setComposite

    void setComposite(VContainedElement value)

  Sets the value of the '`Composite`' containment reference.

  Parameters:
    `value` - the new value of the 'Composite' containment reference.
  See Also:
    `getComposite()`

### getBaseItemIndex

    Integer getBaseItemIndex()

  Returns the value of the 'Base Item Index' attribute.

  If the meaning of the 'Base Item Index' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Base Item Index' attribute.
  See Also:
    `setBaseItemIndex(Integer)`, `ModelPackage.getDynamicContainmentItem_BaseItemIndex()`

### setBaseItemIndex

    void setBaseItemIndex(Integer value)

  Sets the value of the '`Base Item Index`' attribute.

  Parameters:
    `value` - the new value of the 'Base Item Index' attribute.
  See Also:
    `getBaseItemIndex()`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.